Update Work-in-Progress Catalog Item
1 min
PATCH
https://api.upstartcommerce.com/v1/catalog/type/{CatalogItemTypeId}/wip
CatalogItemTypeIdstring<uuid>nique identifier for the catalog item type. This must be an id of an existing catalog item type.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe data to partially update Wip catalog items.
200Successfully updated the catalog item.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
412Precondition failed. This request has been refused.
curl --request PATCH \
--url https://api.upstartcommerce.com/v1/catalog/type/{CatalogItemTypeId}/wip \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'